Subject: Re: bug#45628: 28.0.50; Scrolling on echo area with pixel-scroll-mode enabled locks up Emacs
From: Eli Zaretskii <[email-masked]>
To: Tak Kunihiro <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 09 Jan 2021 11:22:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Tak Kunihiro <[email-masked]>
> Date: Wed, 6 Jan 2021 09:47:26 +0900
> Cc: 国広卓也 <[email-masked]>,
>  Amin Bandali <[email-masked]>,
>  [email-masked]
> 
> > How about a normal while loop with catch before it and throw inside?
> > 
> > +          (while (and (pixel-point-at-top-p amt) ; prevent too late (multi tries)
> > +                      (equal (vertical-motion 1) 1))) ; move point downward
> > 
> > +        (while (and (pixel-point-at-bottom-p amt) ; prevent too late (multi tries)
> > +                    (equal (vertical-motion -1) -1))) ; move point upward
> > 
> > I think equality to 1 or -1 is too stringent.  vertical-motion could
> > move more if you have overlay strings or display strings at point that
> > include embedded newlines.  So I think you should test >= 1 and <= -1
> > respectively.
> 
> I revised the patch and is attached on this message.
> 
> 
> > Also, I believe this problem exists on the emacs-27 branch as well,
> > right?  Then we should install there first.
> 
> Yes.  Can you install the patch with the commit message to emacs-27 branch?

Thanks, I installed this on the emacs-27 branch, and I'm closing this
bug report.